## edu.cwru.SimpleRTS.model.resource
Class ResourceNode.ResourceView

    java.lang.Object
      edu.cwru.SimpleRTS.model.resource.ResourceNode.ResourceView

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ResourceNode

    public static class ResourceNode.ResourceView

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ResourceNode.ResourceView(ResourceNode node)`

Method Summary
`int` `getAmountRemaining()`
`int` `getID()`
`ResourceNode.Type` `getType()`
`int` `getXPosition()`
`int` `getYPosition()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceNode.ResourceView

    public ResourceNode.ResourceView(ResourceNode node)

Method Detail

### getID

    public int getID()

### getAmountRemaining

    public int getAmountRemaining()

### getType

    public ResourceNode.Type getType()

### getXPosition

    public int getXPosition()

### getYPosition

    public int getYPosition()